Package org.jfree.report.expressions

## Class ProxyExpressionRuntime

- java.lang.Object
- - org.jfree.report.expressions.ProxyExpressionRuntime

- All Implemented Interfaces:
    `ExpressionRuntime`

      public class ProxyExpressionRuntime
      extends java.lang.Object
      implements ExpressionRuntime

  Creation-Date: 22.04.2006, 14:17:54
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyExpressionRuntime​(ExpressionRuntime parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()` |
    `int` | `getCurrentRow()` |
    `ReportData` | `getData()` | Returns the report data used in this section.
    `DataRow` | `getDataRow()` | Returns the datarow.
    `java.lang.Object` | `getDeclaringParent()` |
    `ReportContext` | `getReportContext()` |
    `ResourceBundleFactory` | `getResourceBundleFactory()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyExpressionRuntime

          public ProxyExpressionRuntime​(ExpressionRuntime parent)

  - ### Method Detail

    - #### getDataRow

          public DataRow getDataRow()

      Returns the datarow.
      Specified by:
        `getDataRow` in interface `ExpressionRuntime`
      Returns:

    - #### getConfiguration

          public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

      Specified by:
        `getConfiguration` in interface `ExpressionRuntime`

    - #### getResourceBundleFactory

          public ResourceBundleFactory getResourceBundleFactory()

      Specified by:
        `getResourceBundleFactory` in interface `ExpressionRuntime`

    - #### getData

          public ReportData getData()

      Returns the report data used in this section. If subreports are used, this does not reflect the complete report data.

      All access to the report data must be properly synchronized. Failure to do so may result in funny results. Do not assume that the report data will be initialized on the current cursor positon.
      Specified by:
        `getData` in interface `ExpressionRuntime`
      Returns:
      See Also:
        `ExpressionRuntime.getCurrentRow()`

    - #### getCurrentRow

          public int getCurrentRow()

      Specified by:
        `getCurrentRow` in interface `ExpressionRuntime`

    - #### getDeclaringParent

          public java.lang.Object getDeclaringParent()

      Specified by:
        `getDeclaringParent` in interface `ExpressionRuntime`

    - #### getReportContext

          public ReportContext getReportContext()

      Specified by:
        `getReportContext` in interface `ExpressionRuntime`